﻿

$ErrorActionPreference = 'Stop'; 
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url        = 'https://dl.google.com/go/go1.12.1.windows-386.msi' 
$url64      = 'https://dl.google.com/go/go1.12.1.windows-amd64.msi' 

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'msi' 
  url           = $url
  url64bit      = $url64

  softwareName  = 'golang*' 

  checksum      = 'c6f94a59c490c592c0d478ab67680f065a94c0d41058dbad3e29c18a9913e2d9'
  checksumType  = 'sha256' 
  checksum64    = '034b5bbe2337f69c5f9c0b533171b1a7a32ad30ca8dff963105aaf026601150a'
  checksumType64= 'sha256' 

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`"" 
  validExitCodes= @(0, 3010, 1641)

}

Install-ChocolateyPackage @packageArgs 
